/****************************************************************************
**  LinkTest                                                               **
*****************************************************************************
**  Copyright (c) 2008-2022                                                **
**  Forschungszentrum Juelich, Juelich Supercomputing Centre               **
**                                                                         **
**  See the file COPYRIGHT in the package base directory for details       **
****************************************************************************/
#ifndef LINKTEST_CONFIG_H
#define LINKTEST_CONFIG_H

#include <cstdint>

// C Header needed since this config file is used for pingponganalysis and linktest-report
#include "cconfig.h"

constexpr std::int32_t VERSION_MAJOR                    = LINKTEST_VERSION;
constexpr std::int32_t VERSION_MINOR                    = LINKTEST_VERSION_SUB;
constexpr std::int32_t VERSION_PATCH                    = LINKTEST_VERSION_PATCHLEVEL;
constexpr char         GIT_HASH_[]                      = GIT_HASH;
constexpr std::int32_t GIT_HASH_LEN_                    = GIT_HASH_LEN; // sizeof(GIT_HASH_);
constexpr char         GIT_HASH_SHORT_[]                = GIT_HASH;
constexpr std::int32_t GIT_HASH_SHORT_LEN_              = GIT_HASH_SHORT_LEN; // sizeof(GIT_HASH_SHORT_);
constexpr char         LINKTEST_ENVIRON_PREFIX_[]       = LINKTEST_ENVIRON_PREFIX;
constexpr char         LINKTEST_ID_[]                   = LINKTEST_ID;
constexpr char         END_HEADER_[]                    = END_HEADER;
constexpr char         END_BLOCK_[]                     = END_BLOCK;
constexpr std::size_t  LINKTEST_IBVERBS_MAX_INLINE_SZ_  = LINKTEST_IBVERBS_MAX_INLINE_SZ;
constexpr std::size_t  LINKTEST_OUTPUT_DATETIME_LENGTH_ = LINKTEST_OUTPUT_DATETIME_LENGTH;

#endif
