/****************************************************************************
**  LinkTest                                                               **
*****************************************************************************
**  Copyright (c) 2008-2022                                                **
**  Forschungszentrum Juelich, Juelich Supercomputing Centre               **
**                                                                         **
**  See the file COPYRIGHT in the package base directory for details       **
****************************************************************************/
__global__ void fill_cuda_kernel_char(char* start, const char* end, const char val)
{

    start += blockIdx.x*blockDim.x + threadIdx.x;
    for(; start < end; start += (gridDim.x*blockDim.x))
        *start = val;
}
