/****************************************************************************
**  LinkTest                                                               **
*****************************************************************************
**  Copyright (c) 2008-2022                                                **
**  Forschungszentrum Juelich, Juelich Supercomputing Centre               **
**                                                                         **
**  See the file COPYRIGHT in the package base directory for details       **
****************************************************************************/
#ifndef LINKTEST_ENVIRON_H
#define LINKTEST_ENVIRON_H

/*
 * Read environment variables and convert variables.
 */
int read_environ_int(   const char* name, int         *x);
int read_environ_long(  const char* name, long        *x);
int read_environ_float( const char* name, float       *x);
int read_environ_double(const char* name, double      *x);
int read_environ_str(   const char* name, const char **x);

#endif
