/****************************************************************************
**  LinkTest                                                               **
*****************************************************************************
**  Copyright (c) 2008-2022                                                **
**  Forschungszentrum Juelich, Juelich Supercomputing Centre               **
**                                                                         **
**  See the file COPYRIGHT in the package base directory for details       **
****************************************************************************/
#ifndef LINKTEST_MEMORY_CUDA_H
#define LINKTEST_MEMORY_CUDA_H

#include "gpu_nvidia.h"

namespace linktest
{
namespace cuda
{

template<typename T>
void fill(GpuContext* ctx, T* start, T* end, const T& val);

}
}

#endif
