/****************************************************************************
**  LinkTest                                                               **
*****************************************************************************
**  Copyright (c) 2008-2022                                                **
**  Forschungszentrum Juelich, Juelich Supercomputing Centre               **
**                                                                         **
**  See the file COPYRIGHT in the package base directory for details       **
****************************************************************************/
#ifndef LINKTEST_MEMUSAGE_H
#define LINKTEST_MEMUSAGE_H

#include <cstdlib>
#include <cstdio>

/* Get the memory usage of the process. The actual
 * meaning of this value is (by its very nature)
 * system dependent. In general the function returns
 * an approximation to the resident set size of the
 * calling process
 */
std::size_t memusage();

#endif
