# Linktest - JUBE
Some simple JUBE tests for testing Linktest.

## Usage
3. `jube run LinktestMain.xml [--tag Tag...]`

| Tag | Effect |
|---|---|
| noCompileRunTest | skip compile tests |
| noLinktestReportTest | skip python report |
| noLayerTest | skip layer tests |
| noModeTest | skip mode tests |
| dryRun | Only build, no execution |

## Tests
LinktestMain.xml    - Runs the test configurations (s.b.)

CompileTest.xml     - Tests various different software stacks (Compilers, MPI)

LayerTest.xml       - Tests various different messaging layers (mpi, etc.) -- Not PSM2

ModeTest.xml        - Tests various communication setups like all-to-all, Bidirectional, Bisection, ... (MPI Layer)

