/****************************************************************************
**  LinkTest                                                               **
*****************************************************************************
**  Copyright (c) 2008-2022                                                **
**  Forschungszentrum Juelich, Juelich Supercomputing Centre               **
**                                                                         **
**  See the file COPYRIGHT in the package base directory for details       **
****************************************************************************/
#ifndef LINKTEST_IBVERBS_CQ_H
#define LINKTEST_IBVERBS_CQ_H

#include <infiniband/verbs.h>


namespace linktest
{
namespace ibverbs
{

class Context;

// Wrapper around `ibv_cq`.
class CompletionQueue
{

public:
    CompletionQueue(Context* ctx, int cqe);
    ~CompletionQueue();

public:
    int poll(int n, struct ibv_wc *wc);

private:
    Context*        ctx_;

public:
    struct ibv_cq*  cq;

};

}
}

#endif
