/****************************************************************************
**  LinkTest                                                               **
*****************************************************************************
**  Copyright (c) 2008-2022                                                **
**  Forschungszentrum Juelich, Juelich Supercomputing Centre               **
**                                                                         **
**  See the file COPYRIGHT in the package base directory for details       **
****************************************************************************/
#ifndef LINKTEST_IBVERBS_PD_H
#define LINKTEST_IBVERBS_PD_H

#include <infiniband/verbs.h>


namespace linktest
{
namespace ibverbs
{

class Context;

// Wrapper around `ibv_pd`.
class ProtectionDomain
{

public:
    ProtectionDomain(Context* ctx);
    ~ProtectionDomain();

private:
    Context*        ctx_;

public:
    struct ibv_pd*  pd;

};

}
}

#endif
