/****************************************************************************
**  LinkTest                                                               **
*****************************************************************************
**  Copyright (c) 2008-2022                                                **
**  Forschungszentrum Juelich, Juelich Supercomputing Centre               **
**                                                                         **
**  See the file COPYRIGHT in the package base directory for details       **
****************************************************************************/
#include "memusage.h"
#include "config.h"
#include "compiler.h"
#include "error.h"
#include <cstdio>
#include <cstdlib>
#include <cstring>
#include <cctype>
#include <math.h>

#if 1 == LINKTEST_LINUX
    #include <sys/times.h>
    #include <sys/resource.h>
#endif

#ifdef LINKTEST_LINUX

std::size_t memusage()
{
    struct rusage ru;

    if (getrusage(RUSAGE_SELF, &ru))
        return 0;

    return ru.ru_maxrss;
}

#endif
