#!/bin/bash
#############################################################################
##  LinkTest                                                               ##
#############################################################################
##  Copyright (c) 2008-2021                                                ##
##  Forschungszentrum Juelich, Juelich Supercomputing Centre               ##
##                                                                         ##
##  See the file COPYRIGHT in the package base directory for details       ##
#############################################################################
ml GCC ParaStationMPI SIONlib

salloc \
--partition devel \
--account cstao \
--nodes 2 \
	srun \
	--ntasks 4 \
		install/linktest \
		--mode mpi \
		--num-warmup-messages 10 \
		--num-messages 100 \
		--size-messages $((16*1024*1024));