/****************************************************************************
**  LinkTest                                                               **
*****************************************************************************
**  Copyright (c) 2008-2022                                                **
**  Forschungszentrum Juelich, Juelich Supercomputing Centre               **
**                                                                         **
**  See the file COPYRIGHT in the package base directory for details       **
****************************************************************************/

/**************************/
/* SION-Related Functions */
/**************************/
int openSionFile(char* const path, struct SionFile* const fh, int* const swap);

/****************************/
/* Python-Related Functions */
/****************************/
PyObject *NewNumericPyArray(const int32_t type,const int32_t dim,const npy_intp* const len);

/******************************************************/
/* LinkTest Version-Independent SION-Header Functions */
/******************************************************/
int checkLinkTestIdentifier(struct SionFile* const fh, const int swap);
int getVersion(struct SionFile* const fh, Version const version, const int swap);